watchtower-node-sdk
Version:
A TypeScript Node.js SDK for the Watchtower API, providing API key management, connection string generation, and more
25 lines (24 loc) • 1.1 kB
TypeScript
import { BaseEndpoint } from '../base';
import { AppStatusRequest, GetLatestAppStatusRequest, AppStatusOverview } from './types';
export declare class AppEndpoint extends BaseEndpoint {
constructor(client: any);
private validateRequiredKeys;
/**
* Update the status of an app
* @param data - The request parameters
* @returns Promise with the app status overview
* @throws {InvalidRequestError} If required fields are missing or invalid
* @throws {AuthenticationError} If API keys are invalid
* @throws {ServerError} If server encounters an error
*/
updateStatus(data: AppStatusRequest): Promise<AppStatusOverview>;
/**
* Get the latest status of an app
* @param data - The request parameters
* @returns Promise with the app status overview
* @throws {InvalidRequestError} If required fields are missing or invalid
* @throws {AuthenticationError} If API keys are invalid
* @throws {ServerError} If server encounters an error
*/
getLatestStatus(data: GetLatestAppStatusRequest): Promise<AppStatusOverview>;
}